﻿using Infragistics.Documents.Excel;
using Infragistics.Windows.DataPresenter.ExcelExporter;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGExportToExcelCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        private void ExportBtn_Click(object sender, RoutedEventArgs e)
        {
            string filename = "MyGrid" + DateTime.Now.ToString("MMM-dd-yyyy hh-mm-ss") + ".xlsx";

            DataPresenterExcelExporter exporter = new DataPresenterExcelExporter();
            exporter.Export(XDG1, filename, WorkbookFormat.Excel2007);

            Process p = new Process();
            p.StartInfo.FileName = filename;
            p.Start();
        }
    }
}
